Artifact Stores - Create Or Update
아티팩트 저장소를 만들거나 업데이트합니다.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/artifactStores/{artifactStoreName}?api-version=2023-09-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
artifact
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
아티팩트 저장소의 이름입니다. |
|
publisher
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
게시자의 이름. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
리소스 그룹의 이름입니다. 이름은 대/소문자를 구분하지 않습니다. |
|
subscription
|
path | True |
string minLength: 1 |
대상 구독의 ID입니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
요청 본문
| Name | 필수 | 형식 | Description |
|---|---|---|---|
| location | True |
string |
리소스가 있는 지리적 위치 |
| properties |
ArtifactStores 속성입니다. |
||
| tags |
object |
리소스 태그. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
만들기 또는 업데이트 작업이 성공적으로 완료되었습니다. 이 작업은 결과 ArtifactStore 하위 리소스를 반환합니다. |
|
| 201 Created |
만들기 또는 업데이트 작업이 성공적으로 완료되었습니다. 이 작업은 결과 ArtifactStore 하위 리소스를 반환합니다. |
|
| Other Status Codes |
작업이 실패한 이유를 설명하는 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
Create or update an artifact store of publisher resource
샘플 요청
PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg/providers/Microsoft.HybridNetwork/publishers/TestPublisher/artifactStores/TestArtifactStore?api-version=2023-09-01
{
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
샘플 응답
{
"name": "TestArtifactStore",
"id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore",
"type": "microsoft.hybridnetwork/publishers/artifactStores",
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"storageResourceId": "TestResourceId",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
{
"name": "TestArtifactStore",
"id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore",
"type": "microsoft.hybridnetwork/publishers/artifactStores",
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"storageResourceId": "TestResourceId",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
정의
| Name | Description |
|---|---|
|
Artifact |
복제 전략입니다. |
|
Artifact |
아티팩트 저장소 속성입니다. |
|
Artifact |
아티팩트 저장소 속성입니다. |
|
Artifact |
아티팩트 저장소 형식입니다. |
|
created |
리소스를 만든 ID의 형식입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
|
Managed |
|
|
Provisioning |
현재 프로비저닝 상태입니다. |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
ArtifactReplicationStrategy
복제 전략입니다.
| 값 | Description |
|---|---|
| Unknown | |
| SingleReplication |
ArtifactStore
아티팩트 저장소 속성입니다.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
리소스가 있는 지리적 위치 |
| name |
string |
리소스의 이름 |
| properties |
ArtifactStores 속성입니다. |
|
| systemData |
createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다. |
|
| tags |
object |
리소스 태그. |
| type |
string |
리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts" |
ArtifactStorePropertiesFormat
아티팩트 저장소 속성입니다.
| Name | 형식 | Description |
|---|---|---|
| managedResourceGroupConfiguration | ||
| provisioningState |
애플리케이션 그룹 리소스의 프로비전 상태입니다. |
|
| replicationStrategy |
복제 전략입니다. |
|
| storageResourceId |
string |
만든 스토리지 리소스 ID |
| storeType |
아티팩트 저장소 형식입니다. |
ArtifactStoreType
아티팩트 저장소 형식입니다.
| 값 | Description |
|---|---|
| Unknown | |
| AzureContainerRegistry | |
| AzureStorageAccount |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
ManagedResourceGroupConfiguration
| Name | 형식 | Description |
|---|---|---|
| location |
string |
관리되는 리소스 그룹 위치입니다. |
| name |
string |
관리되는 리소스 그룹 이름입니다. |
ProvisioningState
현재 프로비저닝 상태입니다.
| 값 | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Accepted | |
| Deleting | |
| Failed | |
| Canceled | |
| Deleted | |
| Converging |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |